<?php

use QUI\ERP\CRM\TaskStatus\Factory;
use QUI\ERP\CRM\TaskStatus\Handler;
use QUI\Utils\Security\Orthos;

/**
 * Create a new task status
 *
 * @param int $id - TaskStatus ID
 * @param string $color - hex color code
 * @param array $title - (multilingual) title
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_crm_ajax_backend_taskStatus_create',
    function ($id, $color, $title) {
        $id = (int)$id;

        Factory::getInstance()->createTaskStatus(
            $id,
            Orthos::clear($color),
            Orthos::clearArray(\json_decode($title, true))
        );
    },
    ['id', 'color', 'title'],
    'Permission::checkAdminUser'
);
