<?php

/**
 * This file contains package_quiqqer_crm_ajax_backend_tasks_getByCustomer
 */

/**
 * Create a new task
 *
 * @param array $attributes
 * @return integer
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_crm_ajax_backend_tasks_grid_getByCustomer',
    function ($customerId, $search, $options, $filter) {
        $options = \json_decode($options, true);
        $filter  = \json_decode($filter, true);
        $page    = 1;
        $perPage = 20;

        if (isset($options['page'])) {
            $page = (int)$options['page'];
        }

        if (isset($options['perPage'])) {
            $perPage = (int)$options['perPage'];
        }

        // search
        $limitStart = (int)($page * $perPage) - $perPage;

        $Search = new QUI\ERP\CRM\TaskSearch();
        $Search->setLimit($limitStart, $perPage);
        $Search->setFilter('userId', $customerId);

        foreach ($filter as $f => $v) {
            $Search->setFilter($f, $v[0], $v[1]);
        }

        $tasks = $Search->search($search);

        // grid helper
        $Grid = new QUI\Utils\Grid();
        $Grid->setAttribute('page', $page);
        $Grid->setAttribute('perPage', $perPage);


        return $Grid->parseResult(
            QUI\ERP\CRM\Utils::parseTasksForGrid($tasks),
            $Search->count()
        );
    },
    ['customerId', 'search', 'options', 'filter'],
    'Permission::checkAdminUser'
);
